Subject: Re: bug#35539: Add more release testing automation for Guix releases

From: Ludovic Courtès <[email-masked]>
Date: Fri, 03 May 2019 12:04:18 +0200

Hi Florian,

"pelzflorian (Florian Pelz)" <[email-masked]> skribis:

> mate-applets failed to build multiple times in the Guix 1.0 ISO, so
> MATE cannot be installed.  I guess I should have tested more before
> release; not much can be done about it now (you may close this bug if
> really not much can be done), however maybe a more thorough testing
> checklist or automation may be helpful for future releases.

Bah indeed.  pluma and mate-applets both fail to build.  :-/

I agree we need more automation here.  One way to do this would be
something like ‘make assert-binaries-available’, which checks for
substitute availability (it could be a prerequisite of ‘make dist’),
where we’d explicitly check for DEs on x86_64 and i686.  That would be
an improvement, though it’d still be quite handcrafted.

Ludo’.